%global pypi_name textdistance

Name:           python-%{pypi_name}
Version:        4.2.2
Release:        %mkrel 2
Summary:        Compute distance between the two texts
Group:          Development/Python
License:        MIT
URL:            https://github.com/orsinium/textdistance
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# required for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(jellyfish)

%description
TextDistance - python library for comparing distance between two or more
sequences by many algorithms.

Features:
 - 30+ algorithms
 - Pure python implementation
 - Simple usage
 - More than two sequences comparing
 - Some algorithms have more than one implementation in one class.
 - Optional numpy usage for maximum speed.

%package -n     python3-%{pypi_name}
Summary:        Compute distance between the two texts
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
TextDistance - python library for comparing distance between two or more
sequences by many algorithms.

Features:
 - 30+ algorithms
 - Pure python implementation
 - Simple usage
 - More than two sequences comparing
 - Some algorithms have more than one implementation in one class.
 - Optional numpy usage for maximum speed.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# Fix bad executable permission
mkdir -p %{buildroot}%{_docdir}/python3-%{pypi_name}
cp -pr README.md %{buildroot}%{_docdir}/python3-%{pypi_name}
chmod 644 %{buildroot}%{_docdir}/python3-%{pypi_name}/README.md

%check
# disable tests that need abydos
#{__python3} -m pytest -v -k 'not test_list_of_numbers and not test_qval and not test_compare'

%files -n python3-%{pypi_name}
%license LICENSE
%{_docdir}/python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 4.2.2-2.mga9
+ Revision: 1829569
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 4.2.2-1.mga9
+ Revision: 1781647
- version 4.2.2
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 4.2.1-1.mga9
+ Revision: 1707036
- new version: 4.2.1
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1669384
- initial package python-textdistance (needed for spyder)

